Skip to main content
POST
/
service-requests
Create a service request
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/service-requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "category": "<string>",
  "subject": "<string>",
  "priority": "<string>",
  "linkedResourceType": "<string>",
  "linkedResourceId": "<string>"
}
'
{
  "serviceRequestId": "srq_01JQ9MTPXV0AQ2C0Q4EPD0TQWM",
  "partyId": "<string>",
  "category": "statement-request",
  "subject": "Duplicate statement for September",
  "status": "new",
  "priority": "low",
  "assignedQueue": "operations-documents",
  "slaDueAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
category
string
required
subject
string
required
priority
string
linkedResourceType
string
linkedResourceId
string

Response

Service request created

serviceRequestId
string
Example:

"srq_01JQ9MTPXV0AQ2C0Q4EPD0TQWM"

partyId
string
category
string
Example:

"statement-request"

subject
string
Example:

"Duplicate statement for September"

status
enum<string>
Available options:
new,
in-progress,
pending-customer,
resolved,
cancelled
priority
enum<string>
Available options:
low,
normal,
high,
urgent
assignedQueue
string
Example:

"operations-documents"

slaDueAt
string<date-time>
createdAt
string<date-time>